import type { ComponentType } from 'svelte';
import type { Node } from './types';
export declare const loadComponents: <T extends string = string>({ nodes, components: componentNames }: {
    nodes: Node[];
    components: T[];
}, loader: (componentName: T) => Promise<{
    default: ComponentType;
}>) => Promise<{
    nodes: Node[];
    components: Record<T, ComponentType<import("svelte").SvelteComponentTyped<any, any, any>>>;
}>;
